### Method

# Ide TestManager ensure_loaded_async

#### Declaration

    void
    ide_test_manager_ensure_loaded_async (
      IdeTestManager* self,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

Calls `callback` after the test manager has loaded tests.

If the test manager has already loaded tests, then `callback` will be called after returning to the main loop.

Available since: | 3.32

#### Parameters

`cancellable` | `GCancellable`
| No description available.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| No description available.
| The argument can be `NULL`.
`user_data` | `gpointer`
| No description available.
| The argument can be `NULL`.
| The data is owned by the caller of the function.